#!/usr/bin/haserl
Content-Type: text/html

<html>
    <% . ./langdefs.sh %>
    <body>
        <h2><% eval_gettext "General information" %></h2>
        <p>
            <% 
                eval_gettext "dSS11 image version"
                echo -n ": "
                cat /etc/motd 
            %>
            <br/>
            <%
                eval_gettext "Installed dSS package" 
                echo -n ": "
                opkg list_installed dss
            %>
            <br/>
            <%
                eval_gettext "Uptime"
                echo -n ": " 
                uptime 
            %>
            <br/>
            <%
                eval_gettext "Last login"
                echo -n ": " 
                last | head -n 1 
            %>
            <br/>
            <%
                eval_gettext "IP address"
                echo -n ": " 
                ifconfig eth0 | grep 'inet addr:'| cut -d: -f2 | awk '{ print $1}' | tail -n 1 
            %>
        </p>
        <h2><% eval_gettext "Useful links" %></h2>
        <p class="x-green-button-link">
            <a href="/cgi-bin/dssfwd.sh" target="_blank">
            <% eval_gettext "dSS installer UI" %>
            </a>
            <% if test -n "`opkg status dsplugins`"; then 
                 echo "<br/><a href=\"/cgi-bin/dbgfwd.sh\" target=\"_blank\">"
                 eval_gettext "dSS debug pages"
                 echo -n "</a>"
               fi %>
            <br/>
            <a href="/cgi-bin/dtrfwd.sh" target="_blank">
                <% eval_gettext "dSS device tree page" %>
            </a>
            <br/>
            <a href="/logs/" target="_blank">
                <% eval_gettext "Browse system log files" %>
            </a>
        </p>
    </body>
</html>
