//= require <gettexthelper>
//= require <navpanel>

Ext.namespace('dSS11', 'dSS11.config');

Ext.onReady(
    function()
    {
        Ext.get('start').remove();

        dSS11.config.language = 'de_DE';
        dSS11.config.langPath = '/locale/' + dSS11.config.language + 
                                '/LC_MESSAGES/';

        dSS11.config.rebootWait = 60; // seconds to wait for reboot
        dSS11.config.codes = { 
            "ERR_OK"        : 0,
            "ERR_MODE"      : 1,
            "ERR_MASK"      : 2,
            "ERR_IP"        : 3,
            "ERR_GW"        : 4,
            "ERR_DNS"       : 5,
            "ERR_FWRITE"    : 6,
            "ERR_NETDOWN"   : 7,
            "ERR_NETUP"     : 8,
            "ERR_PARAM"     : 9,
            "ERR_REDIRECT"  : 10,
            "ERR_RESTORE"   : 11,
            "ERR_BACKUP"    : 12,
            "ERR_HOSTNAME"  : 13,
            "ERR_APPSTART"  : 14,
            "ERR_REBOOT"    : 15,
            "ERR_HALT"      : 16
        };

        Ext.Ajax.request({
            url            : dSS11.config.langPath + 'langpack.json',
            disableCaching : true,
            scope          : this,
            success        : function(response, options) {
                try{
                    var data = Ext.decode(response.responseText);
                    var params = { 
                                    "domain" : "dss11",
                                    "locale_data" : { "dss11" : data }
                                 };

                    dSS11.config.gt = new Gettext(params);

                    this.viewport = new Ext.Viewport(
                    {
                        hideBorders: true,
                        layout: 'border',
                        items: 
                            [
                                {
                                    xtype: 'panel',
                                    region: 'north',
                                    height: 80,
                                    header: false,
                                    autoLoad: 'cgi-bin/mainversion.hs'
                                }, 
                                {
                                    region: 'center',
                                    xtype: 'dss11navpanel',
                                }
                            ]
                    });

                } catch(error) {
                    Ext.MessageBox.alert("Error", error.message);
                }
            },
            failure : function(response, options) {
                Ext.MessageBox.alert("Error", "Could not load language pack!");
            }
        });
        

    }
);

